Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.parser
Class XPathParserTokenManager

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.parser.XPathParserTokenManager

All Implemented Interfaces:
  XPathParserConstants

public class XPathParserTokenManager
extends java.lang.Object
implements XPathParserConstants

Field Summary
`protected char` | `curChar`
`java.io.PrintStream` | `debugStream`
`static java.lang.String[]` | `jjstrLiteralImages`
`static java.lang.String[]` | `lexStateNames`

Fields inherited from interface org.apache.commons.jxpath.ri.parser.XPathParserConstants
`AND, AXIS_ANCESTOR, AXIS_ANCESTOR_OR_SELF, AXIS_ATTRIBUTE, AXIS_CHILD, AXIS_DESCENDANT, AXIS_DESCENDANT_OR_SELF, AXIS_FOLLOWING, AXIS_FOLLOWING_SIBLING, AXIS_NAMESPACE, AXIS_PARENT, AXIS_PRECEDING, AXIS_PRECEDING_SIBLING, AXIS_SELF, BaseChar, CombiningChar, COMMENT, DEFAULT, Digit, DIV, EOF, EQ, Extender, FUNCTION_BOOLEAN, FUNCTION_CEILING, FUNCTION_CONCAT, FUNCTION_CONTAINS, FUNCTION_COUNT, FUNCTION_FALSE, FUNCTION_FLOOR, FUNCTION_FORMAT_NUMBER, FUNCTION_ID, FUNCTION_KEY, FUNCTION_LANG, FUNCTION_LAST, FUNCTION_LOCAL_NAME, FUNCTION_NAME, FUNCTION_NAMESPACE_URI, FUNCTION_NORMALIZE_SPACE, FUNCTION_NOT, FUNCTION_NULL, FUNCTION_NUMBER, FUNCTION_POSITION, FUNCTION_ROUND, FUNCTION_STARTS_WITH, FUNCTION_STRING, FUNCTION_STRING_LENGTH, FUNCTION_SUBSTRING, FUNCTION_SUBSTRING_AFTER, FUNCTION_SUBSTRING_BEFORE, FUNCTION_SUM, FUNCTION_TRANSLATE, FUNCTION_TRUE, GT, GTE, Ideographic, Letter, Literal, LT, LTE, MINUS, MOD, NCName, NEQ, NODE, Number, OR, PI, PLUS, S, SLASH, SLASHSLASH, TEXT, tokenImage, UnicodeDigit, UNION, VARIABLE`

Constructor Summary
`XPathParserTokenManager(JavaCharStream stream)`
`XPathParserTokenManager(JavaCharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`void` | `ReInit(JavaCharStream stream)`
`void` | `ReInit(JavaCharStream stream, int lexState)`
`void` | `setDebugStream(java.io.PrintStream ds)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### curChar

    protected char curChar

Constructor Detail

### XPathParserTokenManager

    public XPathParserTokenManager(JavaCharStream stream)

### XPathParserTokenManager

    public XPathParserTokenManager(JavaCharStream stream,
                                   int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

### ReInit

    public void ReInit(JavaCharStream stream)

### ReInit

    public void ReInit(JavaCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### getNextToken

    public final Token getNextToken()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.